using NetinaShop.Infrastructure.Models.Scrapers.Digikala;

namespace NetinaShop.Infrastructure.RestServices;

public interface IDigikalaRestApi
{
    [Get("/v1/search/")]
    Task<GetDigikalProductsResponseDto> SearchProductAsync([Query] string q);

    [Get("/v1/product/{productId}/")]
    Task<GetDigikalProductResponseDto> GetProductAsync(string productId);
}